summaryrefslogtreecommitdiffstats
path: root/abs/not_built/extra/community/transmission-cli/run.transmissiond
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:09 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:22 (GMT)
commite2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37 (patch)
treebee3fe89f2988dd244e11791755e129aa8c03b14 /abs/not_built/extra/community/transmission-cli/run.transmissiond
parent8132c218cfc1f1acb1c6d12154e0d4ca075e77f2 (diff)
downloadlinhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.zip
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.gz
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.bz2
Mass move of uncompiled packages to abs_not_built.
The will sit here for a bit, and then will be removed completely if no one claims them.
Diffstat (limited to 'abs/not_built/extra/community/transmission-cli/run.transmissiond')
-rwxr-xr-xabs/not_built/extra/community/transmission-cli/run.transmissiond29
1 files changed, 29 insertions, 0 deletions
diff --git a/abs/not_built/extra/community/transmission-cli/run.transmissiond b/abs/not_built/extra/community/transmission-cli/run.transmissiond
new file mode 100755
index 0000000..792594a
--- /dev/null
+++ b/abs/not_built/extra/community/transmission-cli/run.transmissiond
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/transmissiond
+
+CONFIGDIR=/home/$TRANS_USER/.config/transmission-daemon
+PID=`pidof -o %PPID /usr/bin/transmission-daemon`
+# Update the block lists - try to keep the bad guys out.
+ cd ${CONFIGDIR}/blocklists
+ if [ $? -eq 0 ]; then
+ find . -mtime +4 -type f -name level1 -exec rm {} \;
+ if [ ! -f ${CONFIGDIR}/blocklists/level1 ]; then
+ # update blocklist
+ # echo "updating blocklist, ~4MB"
+ wget -q -O level1.gz http://www.bluetack.co.uk/config/level1.gz
+ if [ -f level1.gz ]; then
+ gunzip level1.gz
+ if [ $? -eq 0 ]; then
+ chmod go+r level1
+ else
+ rm -f level1*
+ fi
+ fi
+ fi
+ cd - 2>&1 >/dev/null
+ fi
+ stat_runit "Starting Transmission Daemon"
+ [ -z "$PID" ] && exec su -l -c "/usr/bin/nice -n 19 /usr/bin/transmission-daemon $TRANS_OPTS" $TRANS_USER 2>/dev/null